//---------------------------------------------------------------------------
//  Copyright 1998  Formation Design Systems.				All Rights Reserved
//																									http://www.formsys.com
//	John Curtis, Oct 1998.   
//---------------------------------------------------------------------------

#ifndef _CCUSTOMICONBUTTON_
#define _CCUSTOMICONBUTTON_

#ifndef _CCUSTOMBUTTON_
#include "CCustomButton.h"
#endif

///////////////////////////////////////////////////////////////////////
//	Class CCustomIconButton
//
//	This class demonstrates the use of CCustomButton.
//	CCustomIconButton is derived from CCustomButton and draw a custom
//	button based on an indexed bitmap taken from a toolbar style strip bitmap.	
//	
///////////////////////////////////////////////////////////////////////

class CCustomIconButton :public CCustomButton
{
	DECLARE_DYNAMIC(CCustomIconButton)

public:
	CCustomIconButton(){}
	virtual ~CCustomIconButton(){}

	//Loads the image from a toolbar-style strip bitmap. 
	//nOffset is the 1 based offset of the icon.
	BOOL LoadIcon(UINT nBitMapID,int nOffset,CSize sz=CSize(16,15));

protected:
	virtual	void	Draw(CDC* pDC,CRect rBounds,const CCustomButtonData& data);//Custom drawing of IconButton
	virtual	BOOL	IsCustom()const{return TRUE;}	//Return TRUE so Draw() is called

	//{{AFX_MSG(CCustomIconButton)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	CImageList	m_Image;	//Store the image in an image list for convenience
	CSize				m_Size;		//Cache the size of the bitmap.
};

#endif
