//---------------------------------------------------------------------------
//  Copyright 1998  Formation Design Systems.				All Rights Reserved
//																									http://www.formsys.com
//	John Curtis, Oct 1998.   
//---------------------------------------------------------------------------

#ifndef _CRADIOGROUP_
#define _CRADIOGROUP_


///////////////////////////////////////////////////////////////////////
//	Class CRadioGroup -- control for establishing Radio hits
//
//	Thic class can be used to subclass a group box and gives direct
//	access to bounded radio buttons.
///////////////////////////////////////////////////////////////////////

class CRadioGroup :public CButton
{
public:
							CRadioGroup(){}
	virtual 			~CRadioGroup(){}

	//Sets the active radio by index. The index is 1 based and the order  
	//is in the order they are created in the resource definition.
	void					SetRadio(int whichRadio);	
	int						GetRadio()const;//Return the 1 based index of the active radio.	

	void					UnselectAll();//Deselect all radios bounded by the groupbox		

private:
	//Helper method to set/get radios bounded by the groupbox.
	static long DoRadioGroup(const CWnd* pDialog,const CRect& groupBounds,BOOL bGetIndex,int index=0);

protected:
	//{{AFX_MSG(CRadioGroup)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
