//---------------------------------------------------------------------------
//  Copyright 1998  Formation Design Systems.				All Rights Reserved
//																									http://www.formsys.com
//	John Curtis, Oct 1998.   
//---------------------------------------------------------------------------

#include "stdafx.h"

#include "CRadioGroupSample.h"
#include "CRadioGroupSampleDlg.h"

#ifndef _CCUSTOMICONBUTTON_
#include "CCustomIconButton.h"
#endif

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCRadioGroupSampleDlg dialog

CCRadioGroupSampleDlg::CCRadioGroupSampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCRadioGroupSampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCRadioGroupSampleDlg)
	m_sGroup1 = _T("");
	m_sGroup2 = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCRadioGroupSampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCRadioGroupSampleDlg)
	DDX_Text(pDX, IDC_GROUP1_TEXT, m_sGroup1);
	DDX_Text(pDX, IDC_GROUP2_TEXT, m_sGroup2);
	DDX_Control(pDX, IDC_GROUP1, m_Group1);
	DDX_Control(pDX, IDC_GROUP2, m_Group2);

	DDX_Control(pDX, IDC_RADIO1, m_StdRadio1);
	DDX_Control(pDX, IDC_RADIO2, m_StdRadio2);
	DDX_Control(pDX, IDC_RADIO3, m_StdRadio3);
	DDX_Control(pDX, IDC_RADIO4, m_StdRadio4);
	DDX_Control(pDX, IDC_RADIO5, m_StdRadio5);

	DDX_Control(pDX, IDC_RADIO6, m_Radio1);
	DDX_Control(pDX, IDC_RADIO7, m_Radio2);
	DDX_Control(pDX, IDC_RADIO8, m_Radio3);
	DDX_Control(pDX, IDC_RADIO9, m_Radio4);
	DDX_Control(pDX, IDC_RADIO10,m_Radio5);

	DDX_Control(pDX, IDC_RADIO11, m_Test1);
	DDX_Control(pDX, IDC_RADIO12, m_Test2);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCRadioGroupSampleDlg, CDialog)
	//{{AFX_MSG_MAP(CCRadioGroupSampleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_GROUP1, OnGroup1)
	ON_BN_CLICKED(IDC_GROUP2, OnGroup2)
	ON_BN_CLICKED(IDC_CHECK1, OnDisableRadio)
	ON_BN_CLICKED(IDC_SetCheck, OnSetCheck)
	ON_BN_CLICKED(IDC_SetPush, OnSetPush)
	ON_BN_CLICKED(IDC_SetRadio, OnSetRadio)
	ON_BN_CLICKED(IDC_SetCheck3State, OnSetCheck3State)
	ON_BN_CLICKED(IDC_SetAuto, OnSetAuto)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCRadioGroupSampleDlg message handlers

BOOL CCRadioGroupSampleDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	m_Test2.LoadIcon(IDB_BITMAP2,1,CSize(24,23));
	m_Radio1.LoadIcon(IDB_BITMAP2,1,CSize(24,23));
	m_Radio2.LoadIcon(IDB_BITMAP2,2,CSize(24,23));
	m_Radio3.LoadIcon(IDB_BITMAP2,3,CSize(24,23));
	m_Radio4.LoadIcon(IDB_BITMAP2,4,CSize(24,23));
	m_Radio5.LoadIcon(IDB_BITMAP2,5,CSize(24,23));

	m_Group1.SetRadio(3);
	m_Group2.SetRadio(3);
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCRadioGroupSampleDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCRadioGroupSampleDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCRadioGroupSampleDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCRadioGroupSampleDlg::OnGroup1() 
{
m_sGroup1.Format("Hit Radio: %i",m_Group1.GetRadio());
UpdateData(false);	
}

void CCRadioGroupSampleDlg::OnGroup2() 
{
m_sGroup2.Format("Hit Radio: %i",m_Group2.GetRadio());
UpdateData(false);	
}

void CCRadioGroupSampleDlg::OnDisableRadio() 
{
static BOOL enabled=TRUE;
enabled=!enabled;
GetDlgItem(IDC_RADIO4)->EnableWindow(enabled);
GetDlgItem(IDC_RADIO8)->EnableWindow(enabled);
}

void CCRadioGroupSampleDlg::OnSetCheck() 
{
	// TODO: Add your control notification handler code here
m_Test1.SetButtonStyle(BS_AUTOCHECKBOX);	
m_Test2.SetButtonStyle(BS_AUTOCHECKBOX);	
}

void CCRadioGroupSampleDlg::OnSetPush() 
{
m_Test1.SetButtonStyle(BS_DEFPUSHBUTTON);	
m_Test2.SetButtonStyle(BS_DEFPUSHBUTTON);		
}

void CCRadioGroupSampleDlg::OnSetRadio() 
{
m_Test1.SetButtonStyle(BS_RADIOBUTTON);	
m_Test2.SetButtonStyle(BS_RADIOBUTTON);		
}


void CCRadioGroupSampleDlg::OnSetCheck3State() 
{
m_Test1.SetButtonStyle(BS_AUTO3STATE);	
m_Test2.SetButtonStyle(BS_AUTO3STATE);		
}

void CCRadioGroupSampleDlg::OnSetAuto() 
{
m_Test1.SetButtonStyle(BS_AUTORADIOBUTTON);	
m_Test2.SetButtonStyle(BS_AUTORADIOBUTTON);		
}
